=== debian/changelog ===
libpappsomspp (0.4.3-1ubuntu1) trusty; urgency=medium

  * deb package for Ubuntu 14.04

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Aug 2018 12:13:02 +0000

libpappsomspp (0.4.3-1) stretch; urgency=medium

  * new buffered XIC reader based on pwiz library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Aug 2018 14:27:31 +0200

libpappsomspp (0.4.2-1) stretch; urgency=medium

  * new API to read MSrun data

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 02 Jun 2018 07:12:31 +0200

libpappsomspp (0.4.1-1) stretch; urgency=medium

  * new xic extractor based on slices and having a read buffer

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 May 2018 19:24:13 +0200

libpappsomspp (0.4.0-2) stretch; urgency=medium

  * fix out of range problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 17 May 2018 22:01:40 +0200

libpappsomspp (0.4.0-1) stretch; urgency=medium

  * new XIC extractor API and new dependency to proteowizard library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 May 2018 09:34:30 +0200

libpappsomspp (0.3.4-1) stretch; urgency=medium

  * API to draw peak borders

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 14 Apr 2018 17:29:13 +0200

libpappsomspp (0.3.3-3) stretch; urgency=medium

  * fix cmake config module

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 12 Feb 2018 09:13:16 +0100

libpappsomspp (0.3.3-2) stretch; urgency=medium

  * using new libodsstream package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 11 Feb 2018 16:54:30 +0100

libpappsomspp (0.3.3-1) stretch; urgency=medium

  * better widgets

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Feb 2018 15:57:58 +0100

libpappsomspp (0.3.2-1) stretch; urgency=medium

  * new XIC widget

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 18 Jan 2018 15:54:09 +0100

libpappsomspp (0.3.1-1) stretch; urgency=medium

  * new precision widget, better spectrum widget

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jan 2018 14:06:33 +0100

libpappsomspp (0.3.0-3) stretch; urgency=medium

  * avoid unneeded computations

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 03 Jan 2018 09:10:46 +0100

libpappsomspp (0.3.0-2) stretch; urgency=medium

  * isotope number instead of level

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Jan 2018 17:00:11 +0100

libpappsomspp (0.3.0-1) stretch; urgency=medium

  * new PAPPSO widget package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Jan 2018 10:48:10 +0100

libpappsomspp (0.2.40-1) stretch; urgency=medium

  * faster grouping algorithm, refactoring

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 17 Dec 2017 14:05:18 +0100

libpappsomspp (0.2.39-1) stretch; urgency=medium

  * better perf in grouping algorithm

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 15 Dec 2017 10:06:14 +0100

libpappsomspp (0.2.38-1) stretch; urgency=medium

  * centos7 compilation
  * fixed spectrum unique
  * better grouping performance

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 21 Oct 2017 10:44:30 +0200

libpappsomspp (0.2.37-1) stretch; urgency=medium

  * new API for amino acid widlcards, new spectrum functions

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 Sep 2017 10:29:48 +0200

libpappsomspp (0.2.36-1) stretch; urgency=medium

  * new peptide functions

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 20 Jun 2017 21:53:35 +0200

libpappsomspp (0.2.35-1~stretch) stretch; urgency=medium

  * stretch pakage

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 11 May 2017 15:02:25 +0200

libpappsomspp (0.2.33-1~stretch) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Apr 2017 19:13:29 +0200

libpappsomspp (0.2.32-3~stretch) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 18 Mar 2017 13:50:48 +0100

libpappsomspp (0.2.32-2) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 21 Dec 2016 21:43:27 +0100

libpappsomspp (0.2.31-2) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 19 Dec 2016 18:45:14 +0100
