=== debian/control ===
Source: libpappsomspp
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               d-shlibs,
               libqt4-dev (>= 4.6.3),
               qtbase5-dev,
               libqt5svg5-dev,
               libpwiz-dev,
               libboost-dev,
               libpwiz-dev,
               libboost-dev,
               doxygen
Standards-Version: 3.9.8

Package: libpappsomspp-qt5
Depends: libpappsomspp-qt5-0, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-qt5-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5core5a,
         libpwiz3,
         libqt5gui5
Conflicts: libpappsomspp-qt5 ( << 0.3.3 )
Replaces: libpappsomspp-qt5 ( << 0.3.3 )
Breaks: libpappsomspp-qt5 ( << 0.3.3 )
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to handle proteomic data
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...

Package: libpappsomspp-widget-qt5
Depends: libpappsomspp-widget-qt5-0, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-widget-qt5-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5core5a,
         libqcustomplot1.3,
         libqt5gui5,
         libqt5printsupport5,
         libqt5svg5
Conflicts: libpappsomspp-widget-qt5 ( << 0.3.3 )
Replaces: libpappsomspp-widget-qt5 ( << 0.3.3 )
Breaks: libpappsomspp-widget-qt5 ( << 0.3.3 )
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to handle proteomic data
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...

Package: libpappsomspp-widget-dev
Depends: libpappsomspp-widget-qt5-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-widget-qt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpappsomspp-qt5-dev (= ${binary:Version}),
         libpappsomspp-widget-qt5-0 (= ${binary:Version}),
         libqcustomplot-dev,
         libqt5svg5-dev,
         ${misc:Depends}
Conflicts: libpappsomspp-widget-dev ( << 0.3.3 )
Replaces: libpappsomspp-widget-dev ( << 0.3.3 )
Breaks: libpappsomspp-widget-dev ( << 0.3.3 )
Description: development files for the proteomic PAPPSOms++ library
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications. the development files contains a cmake module
 to easily find and configure PAPPSOms++ library

Package: libpappsomspp-dev
Depends: libpappsomspp-qt5-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-qt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         libpappsomspp-qt5-0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libpappsomspp-dev ( << 0.3.3 )
Replaces: libpappsomspp-dev ( << 0.3.3 )
Breaks: libpappsomspp-dev ( << 0.3.3 )
Description: development files for the proteomic PAPPSOms++ library
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications. the development files contains a cmake module
 to easily find and configure PAPPSOms++ library

Package: libpappsomspp-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: doxygen documentation of the PAPPSOms++ library
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications.
